Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0035429
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] 09. Financial managementminoralways2017-03-03 14:012017-03-20 15:11
ReporteraferrazView Statuspublic 
Assigned Toaferraz 
PrioritynormalResolutionfixedFixed in Version3.0PR17Q2
StatusclosedFix in branchFixed in SCM revisionfec735938d2b
ProjectionnoneETAnoneTarget Version
OSLinux 64 bitDatabasePostgreSQLJava version1.6.0_18
OS VersionProfessional ApplianceDatabase version8.3.9Ant version1.7.1
Product VersionSCM revision 
Review Assigned Tovmromanos
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0035429: Error when creating a price including taxes invoice line with empty tax in Oracle

DescriptionError when creating a price including taxes invoice line with empty tax in Oracle
Steps To ReproduceCreate a Sales Invoice with a price including tax Price List.
Add a line with a product, quantity, gross unit price and left tax empty.
Try to save and check you get an error in c_invoiceline_before_trg trigger.
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to feature request 0028366 closedadrianromero Add new functionality to calculate taxes per product BOM 
related to design defect 0032265 closedaferraz [SER QA 1434] Taxes at document level are not properly calculated in some cases 

-  Notes
(0094831)
hgbot (developer)
2017-03-08 13:34

Repository: erp/devel/pi
Changeset: fec735938d2b69b845f3ee5d93e7ec7c5c080a22
Author: Alvaro Ferraz <alvaro.ferraz <at> openbravo.com>
Date: Tue Mar 07 19:27:58 2017 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/fec735938d2b69b845f3ee5d93e7ec7c5c080a22 [^]

Fixes issue 35429: Error when creating a PIT invoice line with empty tax in Oracle

Do not run C_INVOICELINE_BEFORE_TRG trigger in case tax is null.

---
M src-db/database/model/triggers/C_INVOICELINE_BEFORE_TRG.xml
---
(0095278)
hudsonbot (developer)
2017-03-15 20:21

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/54e102bef53e [^]
Maturity status: Test
(0095427)
vmromanos (developer)
2017-03-20 15:11

Code review OK

- Issue History
Date Modified Username Field Change
2017-03-03 14:01 aferraz New Issue
2017-03-03 14:01 aferraz Assigned To => Triage Finance
2017-03-03 14:01 aferraz Modules => Core
2017-03-03 14:01 aferraz Triggers an Emergency Pack => No
2017-03-03 14:02 aferraz Relationship added related to 0032265
2017-03-06 16:46 aferraz Relationship added related to 0028366
2017-03-08 13:34 hgbot Checkin
2017-03-08 13:34 hgbot Note Added: 0094831
2017-03-08 13:34 hgbot Status new => resolved
2017-03-08 13:34 hgbot Resolution open => fixed
2017-03-08 13:34 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/fec735938d2b69b845f3ee5d93e7ec7c5c080a22 [^]
2017-03-08 13:35 aferraz Assigned To Triage Finance => aferraz
2017-03-15 20:21 hudsonbot Checkin
2017-03-15 20:21 hudsonbot Note Added: 0095278
2017-03-20 15:11 vmromanos Review Assigned To => vmromanos
2017-03-20 15:11 vmromanos Note Added: 0095427
2017-03-20 15:11 vmromanos Status resolved => closed
2017-03-20 15:11 vmromanos Fixed in Version => 3.0PR17Q2


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker